{
  "label": "Mon Strasbourg",
  "variables": {
    "email_header_img": "img/logo-eurometropole.png",
    "favicon": "strasbourg-2018/img/favicon.png",
    "theme_color": "#31455D"
  },
  "settings": {
    "combo": {
      "COMBO_PUBLIC_TEMPLATES.update": {
        "carrefour": {
          "name": "Page Carrefour",
          "template": "combo/page_template_carrefour.html"
        }
      },
      "JSON_CELL_TYPES.update": {
        "mes-informations": {
          "url": "{{idp_url}}api/users/{{user_nameid}}/?full",
          "cache_duration": 5,
          "name": "Mes informations"
        },
        "mes-centres": {
          "url": "{{passerelle_url}}strasbourg-eu/liferay/interests?name_id={{user_nameid}}",
          "name": "Mes centres d’intérêts",
          "additional-data": [
            {
              "key": "interests",
              "url": "{{passerelle_url}}strasbourg-eu/liferay/interests"
            }
          ],
          "actions": {
            "update": {
             "url": "{{passerelle_url}}strasbourg-eu/liferay/interests?name_id={{user_nameid}}"
            }
          }
        },
        "franceconnect": {
          "url": "{{idp_url}}api/users/{{user_nameid}}/?full",
          "cache_duration": 5,
          "name": "FranceConnect",
          "form": [
            {
              "varname": "intro",
              "type": "text",
              "label": "Texte d’introduction"
            }
          ]
        },
        "suppression-de-compte": {
          "url": "{{idp_url}}api/users/{{user_nameid}}/?full",
          "cache_duration": 5,
          "name": "Suppression de compte"
        },
        "notifications": {
          "url": "{{passerelle_url}}strasbourg-eu/liferay/notifications?name_id={{user_nameid}}",
          "name": "Notifications"
        },
        "favori": {
          "url": "{{passerelle_url}}strasbourg-eu/liferay/favorites?name_id={{user_nameid}}&url_filter={{request.META.HTTP_REFERER|urlencode}}",
          "name": "Favori",
          "actions": {
            "add": {
             "url": "{{passerelle_url}}strasbourg-eu/liferay/favorites?name_id={{user_nameid}}"
            },
            "delete": {
             "url": "{{passerelle_url}}strasbourg-eu/liferay/favorites/{{favoriteId}}/delete?name_id={{user_nameid}}"
            }
          }
        }
      }
    }
  }
}
